Import of pkgsrc-2013Q2

This commit is contained in:
2013-09-26 17:14:40 +02:00
commit 785076ae39
74991 changed files with 4380255 additions and 0 deletions

11
security/aide/DESCR Normal file
View File

@@ -0,0 +1,11 @@
It creates a database from the regular expression rules that it finds
from the config file. Once this database is initialized it can be
used to verify the integrity of the files. It has several message
digest algorithms (md5,sha1,rmd160,tiger,haval,etc.) that are used to
check the integrity of the file. More algorithms can be added with
relative ease. All of the usual file attributes can also be checked
for inconsistencies. It can read databases from older or newer
versions. See the manual pages within the distribution for further
info. There is also a beginning of a manual at
http://www.cs.tut.fi/~rammer/aide/manual.html

27
security/aide/Makefile Normal file
View File

@@ -0,0 +1,27 @@
# $NetBSD: Makefile,v 1.35 2013/02/22 19:59:07 shattered Exp $
#
DISTNAME= aide-0.15.1
CATEGORIES= security
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=aide/}
MAINTAINER= pettai@NetBSD.org
HOMEPAGE= http://aide.sourceforge.net/
COMMENT= Free intrusion detection system for checking file integrity
LICENSE= artistic
BUILDLINK_API_DEPENDS.mhash?= mhash>=0.8.17
GNU_CONFIGURE= yes
USE_TOOLS+= bison flex gmake
.include "../../mk/bsd.prefs.mk"
.if ${OPSYS} == "SunOS" && empty(OS_VERSION:M5.[6-9])
# Since Solaris 10, static linking no longer possible
CONFIGURE_ARGS+= --disable-static
.endif
.include "../../devel/zlib/buildlink3.mk"
.include "../../security/mhash/buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

4
security/aide/PLIST Normal file
View File

@@ -0,0 +1,4 @@
@comment $NetBSD: PLIST,v 1.1 2001/11/01 01:16:28 zuntum Exp $
bin/aide
man/man1/aide.1
man/man5/aide.conf.5

8
security/aide/distinfo Normal file
View File

@@ -0,0 +1,8 @@
$NetBSD: distinfo,v 1.13 2012/03/12 14:18:44 fhajny Exp $
SHA1 (aide-0.15.1.tar.gz) = c5998c04a223416142323fa1bd18db0936099827
RMD160 (aide-0.15.1.tar.gz) = 80ea88b1c1496bcca57d2d1cdeecdcdfca0fa5cf
Size (aide-0.15.1.tar.gz) = 424970 bytes
SHA1 (patch-ab) = ddfaaf42767ebb6eaab73c33489b7aef19e5b003
SHA1 (patch-ae) = 87c234f8d316117cf766134ca69d6f753c59dd91
SHA1 (patch-af) = 70ac8a100e9d601b7ffcaa9d716742d1d947aca7

View File

@@ -0,0 +1,49 @@
$NetBSD: patch-ab,v 1.5 2012/03/12 14:18:44 fhajny Exp $
* YACC and LEX are passwd as full path.
* static linking is not supported on MacOS X. PR#39058.
* FILE_OFFSET_BITS corrected
--- configure.orig 2010-09-10 17:48:04.000000000 +0000
+++ configure
@@ -4231,10 +4231,6 @@ fi
done
test -n "$YACC" || YACC="yacc"
-if test "x${YACC}" != "xbison -y"; then
- echo "AIDE requires GNU bison"
- exit 5
-fi
for ac_prog in flex lex
@@ -4394,10 +4390,6 @@ fi
rm -f conftest.l $LEX_OUTPUT_ROOT.c
fi
-if test "x${LEX}" != "xflex"; then
- echo "AIDE requires GNU flex"
- exit 5
-fi
for ac_prog in ld
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
@@ -4539,6 +4531,9 @@ if test $ac_cv_c_compiler_gnu = yes; the
## pic_flag=-Kconform_pic
## fi
;;
+ darwin*)
+ LD_STATIC_FLAG=''
+ ;;
*)
## pic_flag='-fPIC'
;;
@@ -6435,7 +6430,7 @@ ac_fn_c_check_func "$LINENO" "lstat64" "
if test "x$ac_cv_func_lstat64" = x""yes; then :
ac_fn_c_check_func "$LINENO" "stat64" "ac_cv_func_stat64"
if test "x$ac_cv_func_stat64" = x""yes; then :
- AIDE_DEFS="$AIDE_DEFS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS"
+ AIDE_DEFS="$AIDE_DEFS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
AIDE_LSTAT_FUNC="lstat64"
compoptionstring="${compoptionstring}WITH_LSTAT64\\n"
AIDE_STAT_FUNC="stat64"

View File

@@ -0,0 +1,13 @@
$NetBSD: patch-ae,v 1.1 2010/08/30 22:30:27 pettai Exp $
--- contrib/gpg2_check.sh.orig 2010-08-31 00:22:49.000000000 +0200
+++ contrib/gpg2_check.sh 2010-08-31 00:23:06.000000000 +0200
@@ -17,7 +17,7 @@
echo ""
gpg --verify aide.db.sig
echo ""
- if [ "$?" == "1" ]; then
+ if [ "$?" = "1" ]; then
echo "************************************************************"
echo "GPG signature FAILED! Your database has been tampered with!"
echo "************************************************************"

View File

@@ -0,0 +1,31 @@
$NetBSD: patch-af,v 1.1 2010/08/30 22:30:27 pettai Exp $
--- contrib/gpg2_update.sh.orig 2010-08-31 00:25:16.000000000 +0200
+++ contrib/gpg2_update.sh 2010-08-31 00:26:27.000000000 +0200
@@ -22,10 +22,10 @@
# copy the old database
if [ -f aide.db ]; then
newfile="aide-`hostname`-`date +%Y%m%d-%H%M%S`.db"
- if [ "${usegpg}" == 1 -a -f aide.db.sig ]; then
+ if [ "${usegpg}" = 1 -a -f aide.db.sig ]; then
# do an integrity check
gpg --verify aide.db.sig
- if [ "$?" == "1" ]; then
+ if [ "$?" = "1" ]; then
echo "************************************************************"
echo "GPG signature FAILED! Your database has been tampered with!"
echo "************************************************************"
@@ -34,11 +34,11 @@
fi
cp -av aide.db ${newfile}
/usr/sbin/aide --update -B "database=file:/var/lib/aide/${newfile}"
- if [ "${usegpg}" == "1" ]; then
+ if [ "${usegpg}" = "1" ]; then
# create the signature file
[[ -f aide.db.sig ]] && rm -f aide.db.sig
gpg --detach-sign aide.db
- if [ "$?" == "1" ]; then
+ if [ "$?" = "1" ]; then
echo "FATAL: Error occurred when creating the signature file!"
exit 1
fi